%global distname djangorestframework-composed-permissions

Name:               python-django-rest-framework-composed-permissions
Version:            0.1
Release:            6%{?dist}
Summary:            Composed permissions for django-rest-framework

License:            BSD
URL:                https://pypi.io/project/%{distname}
Source0:            https://pypi.io/packages/source/d/%{distname}/%{distname}-%{version}.tar.gz
BuildArch:          noarch

%description
A simple way to define complex permissions for django-rest-framework.

https://djangorestframework-composed-permissions.readthedocs.org/en/latest/


%package -n python3-django-rest-framework-composed-permissions
Summary:            Composed permissions for django-rest-framework
%{?python_provide:%python_provide python3-django-rest-framework-composed-permissions}

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-django
BuildRequires:      python3-django-rest-framework

Requires:           python3-django
Requires:           python3-django-rest-framework

Obsoletes:          python-django-rest-framework-composed-permissions < 0.1-5
Obsoletes:          python2-django-rest-framework-composed-permissions < 0.1-5

%description -n python3-django-rest-framework-composed-permissions
A simple way to define complex permissions for django-rest-framework.

https://djangorestframework-composed-permissions.readthedocs.org/en/latest/


%prep
%autosetup -n %{distname}-%{version}

%build
%py3_build

%install
%py3_install

# Tests not included in the tarball.
# https://github.com/niwinz/djangorestframework-composed-permissions/pull/10
#%%check
#%%{__python3} runtests.py

%files -n python3-django-rest-framework-composed-permissions
%doc README.rst
# Not included in tarball.
# https://github.com/niwinz/djangorestframework-composed-permissions/pull/10
#%license LICENSE
%{python3_sitelib}/restfw_composed_permissions/
%{python3_sitelib}/djangorestframework_composed_permissions-%{version}*

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1-6
- Rebuilt for Python 3.7

* Tue Feb 20 2018 Miro Hrončok <mhroncok@redhat.com>
- Removed python2 subpackage for https://fedoraproject.org/wiki/Changes/Django20 - 0.1-5

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Ralph Bean <rbean@redhat.com> - 0.1-2
- Add comments linking to upstream pull-request for LICENSE and tests.
- Adjust Source0 URL.

* Tue Feb 07 2017 Ralph Bean <rbean@redhat.com> - 0.1-1
- Initial package for Fedora
